com.h3c.of.ctl

## Interface MessageEvent

- All Superinterfaces:
    Event, OpenflowEvent, TypedEvent<OpenflowEventType>
  All Known Subinterfaces:
    CheckpointEvent

      public interface MessageEvent
      extends OpenflowEvent

  An OpenFlow Controller Message event.

  These events are consumed by `MessageListener`s who wish to be notified when OpenFlow messages arrive at the controller.

  The event types associated with this event are:

  - `OpenflowEventType.MESSAGE_RX`
  - `OpenflowEventType.MESSAGE_TX`
  - `OpenflowEventType.DROPPED_EVENTS_CHECKPOINT`

  Note that the `MESSAGE_TX` event type will never be seen by a message listener; however, the management interface allows the recording of messages both transmitted and received by the controller, and the corresponding list of message events will contain both `TX` and `RX` types.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `auxId()` Returns the ID of the auxiliary channel.
    `DataPathId` | `dpid()` Returns the ID of the datapath associated with this event.
    `OpenflowMessage` | `msg()` Returns the OpenFlow message associated with this event.
    `ProtocolVersion` | `negotiated()` Returns the protocol version negotiated between the controller and the associated datapath.
    `String` | `remoteId()` Returns an identifier for the remote end of the connection for this event.
    `void` | `setDpid(DataPathId dpid)` set the ID of the datapath with new datapath ID.

    - ### Methods inherited from interface com.h3c.util.event.TypedEvent

      `ts, type`

- - ### Method Detail

    - #### msg

          OpenflowMessage msg()

      Returns the OpenFlow message associated with this event.
      Returns:
        the OpenFlow message

    - #### dpid

          DataPathId dpid()

      Returns the ID of the datapath associated with this event.
      Returns:
        the datapath ID

    - #### auxId

          int auxId()

      Returns the ID of the auxiliary channel.
      Returns:
        the auxiliary channel ID

    - #### negotiated

          ProtocolVersion negotiated()

      Returns the protocol version negotiated between the controller and the associated datapath.
      Returns:
        the negotiated protocol version

    - #### remoteId

          String remoteId()

      Returns an identifier for the remote end of the connection for this event. If successful resolution of the datapath ID, returns the datapath ID. Otherwise, returns the remote address and port information.
      Returns:
        an identifier for this event

    - #### setDpid

          void setDpid(DataPathId dpid)

      set the ID of the datapath with new datapath ID.

Copyright © 2014. All Rights Reserved.